SELECT
  *
FROM garfield.inventory_map
LEFT JOIN garfield.snacks USING (snack_id)
LEFT JOIN garfield.snacks_available USING (snack_id)
LEFT JOIN garfield.tax_groups USING (tax_group_id)
LEFT JOIN garfield.locations USING (location_id)
WHERE snack_barcode = %(snack_barcode)s
ORDER BY
  snack_available DESC,
  snack_timestamp DESC
